﻿@model IEnumerable<CashOffice.Models.ChartOutPut>
@{
    ViewBag.Title = "DashBoard";
    Layout = MVC.Shared.Views._Layout;
}
<div>
    نمودار مربوط به سال @ViewBag.Year
</div>
<div class="col-md-8">
    <canvas id="MyChart" width="600" height="400"></canvas>
</div>
<div class="col-md-4" width="700" height="600">
    <table class="table w3-animate-zoom">
        <tr class="w3-light-green">
            <th>
                @Html.DisplayNameFor(model => model.Name)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Count)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Value) (ریال)
            </th>
        </tr>
        @foreach (var item in Model)
            {
            <tr class="w3-dark-gray">
                <td>
                    @Html.DisplayFor(modelItem => item.Name)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Count)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Value)
                </td>
            </tr>
        }
        <tr class="w3-black">
            <td>
                جمع کل
            </td>
            <td>
              @Model.Sum(model=>model.Count).ToString("n0")
            </td>
            <td>
                @Model.Sum(model=>model.Value).ToString("n0")
            </td>
        </tr>

    </table>
</div>
@section Scripts{
    @Scripts.Render("~/bundles/js/charts")
    <script>
        var MyChartData = [];
        var MyChartlabels = [];
        var MyChartValues = [];
        var MyChartCounts = [];
        var MyChartColors = [];
        //MyChartOption.annotateLabel = '';
        MyChartOption.barValueSpacing = 60;
        //var MyChartoptions = [];
        @foreach (var item in Model)
        {
            <text> MyChartlabels.push("@item.Name");</text>
            <text> MyChartValues.push(@item.Value);</text>
            <text> MyChartCounts.push(@item.Count);</text>
            <text> MyChartColors.push("@item.Color");</text>
        }

        MyChartData = {
            labels: MyChartlabels,
            datasets: [
                {

                    fillColor: MyChartColors,
                    strokeColor: MyChartColors,
                    pointColor: MyChartColors,
                    pointstrokeColor: MyChartColors,
                    data: MyChartValues,
                    title: "تست"
                },
            ]
        };
        //Chart Option Change
        MyChartOption.annotateLabel = 'مجموع درآمد <%=v2%> به میزان <%=v3%> ریال میباشد'
        MyChartOption.mouseDownLeft = fctMouseDownLeft;
        function fctMouseDownLeft(event, ctx, config, data, other) {
            if (other != null) {
                var url = '@Html.Raw(Url.Action(MVC.DashBoard.ActionNames.MainChartYearMonthServices,new {Year = "__Year__",ServiceName = "__ServiceName__" }))';
                window.location.href = url.replace('__Year__',@ViewBag.Year).replace('__ServiceName__',other.v2);
            }
        }
        //Chart Option Change
        window.onload = function () {
            var ctx = document.getElementById('MyChart').getContext('2d');
            chart = new Chart(ctx).Bar(MyChartData, MyChartOption);
        }

    </script>
}